Name:          translate-toolkit
Version:       2.0.0
Release:       1mamba
Summary:       Tools for localization
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/translate/
Source:        https://github.com/translate/translate/releases/download/%{version}/translate-toolkit-%{version}.tar.bz2
#http://downloads.sourceforge.net/project/translate/Translate%20Toolkit/%{version}/translate-toolkit-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Tools for localization: Pootle: web based translation management system. Virtaal: Computer Aided Translation (CAT) tool, Translate Toolkit: QA, format conversion and support (PO, Java .properties, OpenOffice, Mozilla, XLIFF, TMX, TBX, CSV, Qt .ts).

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}

# FIXME: strange files installed with ugly workaround
rm -rf %{buildroot}$HOME

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{python_sitearch}/translate
%{python_sitearch}/translate/*
%{python_sitearch}/translate_toolkit-*-py*.egg-info
%ifarch x86_64
%dir %{python_sitelib}/translate
%{python_sitelib}/translate/*
%endif
#%{python_sitearch}/docs/*
#%{python_sitearch}/share/*
%doc COPYING
#README

%changelog
* Sun Feb 12 2017 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.0-1mamba
- update to 1.13.0

* Mon Dec 22 2014 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1mamba
- update to 1.9.0

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- package created by autospec
